Resync Cluster State
POST
/cluster/resync-state
const url = 'https://sylve.lan:8181/api/cluster/resync-state';const options = {method: 'POST', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/cluster/resync-state \ --header 'Authorization: <Authorization>'Audits every Raft member and rebuilds divergent followers one at a time
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
leaderNodeId
string
members
Array<object>
object
address
string
appliedIndex
integer
digest
string
error
string
nodeId
string
status
string
suffrage
string
referenceAppliedIndex
integer
referenceDigest
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "leaderNodeId": "example", "members": [ { "address": "example", "appliedIndex": 1, "digest": "example", "error": "example", "nodeId": "example", "status": "example", "suffrage": "example" } ], "referenceAppliedIndex": 1, "referenceDigest": "example" }, "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Conflict with partial audit/repair result
Media typeapplication/json
object
data
object
leaderNodeId
string
members
Array<object>
object
address
string
appliedIndex
integer
digest
string
error
string
nodeId
string
status
string
suffrage
string
referenceAppliedIndex
integer
referenceDigest
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "leaderNodeId": "example", "members": [ { "address": "example", "appliedIndex": 1, "digest": "example", "error": "example", "nodeId": "example", "status": "example", "suffrage": "example" } ], "referenceAppliedIndex": 1, "referenceDigest": "example" }, "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}